#pragma once

#include <sys/types.h>

#define autocleanup(TYPE) TYPE __attribute__ ((__cleanup__(plugin_free)))

int imsm_read_serial(int fd, char *devname, u_int8_t *serial, size_t serial_buf_len);
int fork_and_execvp(char **argv, char **output_buffer);
char* strdup_cat(const char* a, const char* b);
void plugin_free(void* p);

